<br><br><br>
<div class="container">
  
  <h2><mat-icon aria-hidden="false">edit_calendar</mat-icon> MÓDULO DE REGISTRO DE SERVICIO</h2>
  <mat-divider></mat-divider>
  <form novalidate [formGroup]="formulario" (ngSubmit)="onSubmit()" #f="ngForm">

    <br>* Todos los campos son requeridos<br><br>

    <mat-form-field hintLabel="Documento del técnico" appearance="fill">
      <mat-label>Ingrese su cédula</mat-label>
      <input matInput #input placeholder="EJ. CC123456" formControlName="idtecnico" required>
    </mat-form-field>
  
    <mat-form-field appearance="fill">
      <mat-label>Seleccione un servicio</mat-label>
      <mat-select formControlName="idservicio" required class="servicio">
        <mat-option *ngFor="let service of services" value="{{service.idservicio}}">{{service.descripcion}}</mat-option>
      </mat-select>
      <mat-hint>Servicio que ejecutó</mat-hint>
    </mat-form-field>
    
    <mat-form-field hintLabel="Inicio del servicio" appearance="fill">
        <mat-label>Desde</mat-label>
        <input matInput [ngxMatDatetimePicker]="pickerFrom" formControlName="fechainicio" ng-model-options="{timezone: 'GMT-5'}" required>
        <mat-datepicker-toggle matSuffix [for]="pickerFrom"></mat-datepicker-toggle>
        <ngx-mat-datetime-picker #pickerFrom></ngx-mat-datetime-picker>
    </mat-form-field>
    
    <mat-form-field hintLabel="Fin del servicio" appearance="fill">
        <mat-label>Hasta</mat-label>
        <input matInput [ngxMatDatetimePicker]="pickerTo" formControlName="fechafin" ng-model-options="{timezone: 'GMT-5'}" required>
        <mat-datepicker-toggle matSuffix [for]="pickerTo"></mat-datepicker-toggle>
        <ngx-mat-datetime-picker #pickerTo></ngx-mat-datetime-picker>
    </mat-form-field>

    <br><br><br>
    <button mat-raised-button color="accent" type="submit" [disabled]="f.invalid"><mat-icon aria-hidden="false">save</mat-icon> Registrar servicio</button>
  </form>
</div>
